Package org.apache.sling.commons.clam.internal

## Class ClamdService

- java.lang.Object
- - org.apache.sling.commons.clam.internal.ClamdService

All Implemented Interfaces:
  `ClamService`

    public class ClamdService
    extends java.lang.Object
    implements ClamService

### Constructor Summary

Constructors
`ClamdService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`@NotNull ScanResult` `scan​(@NotNull java.io.InputStream inputStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClamdService

    public ClamdService()

### Method Detail

#### scan

    @NotNull
    public @NotNull ScanResult scan​(@NotNull
                                    @NotNull java.io.InputStream inputStream)
                             throws java.io.IOException

Specified by:
  `scan` in interface `ClamService`
Parameters:
  `inputStream` - The data to scan for malware
Returns:
  The scan result from Clam
Throws:
  `java.io.IOException` - if scanning data or parsing reply fails